com.unitech.lib.engine

## Class ScannerIndicator

- java.lang.Object
- - com.unitech.lib.engine.ScannerIndicator

-     public class ScannerIndicator
      extends Object

  The ScannerIndicator class represents the status indicators of a scanner. It includes indicators for good read, connection, settings, error, power on, and power off.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScannerIndicator(GoodReadIndicator goodRead, ConnectionIndicator connection, SettingIndicator setting, ErrorIndicator error, PowerOnIndicator powerOn, PowerOffIndicator powerOff)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ScannerIndicator` | `decode(byte[] data)`
    `byte[]` | `encode()`
    `ConnectionIndicator` | `getConnection()`
    `ErrorIndicator` | `getError()`
    `GoodReadIndicator` | `getGoodRead()`
    `PowerOffIndicator` | `getPowerOff()`
    `PowerOnIndicator` | `getPowerOn()`
    `SettingIndicator` | `getSetting()`
    `void` | `setConnection(ConnectionIndicator connection)`
    `void` | `setError(ErrorIndicator error)`
    `void` | `setGoodRead(GoodReadIndicator goodRead)`
    `void` | `setPowerOff(PowerOffIndicator powerOff)`
    `void` | `setPowerOn(PowerOnIndicator powerOn)`
    `void` | `setSetting(SettingIndicator setting)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScannerIndicator

          public ScannerIndicator(GoodReadIndicator goodRead,
                                  ConnectionIndicator connection,
                                  SettingIndicator setting,
                                  ErrorIndicator error,
                                  PowerOnIndicator powerOn,
                                  PowerOffIndicator powerOff)

  - ### Method Detail

    - #### getGoodRead

          public GoodReadIndicator getGoodRead()

    - #### setGoodRead

          public void setGoodRead(GoodReadIndicator goodRead)

    - #### getConnection

          public ConnectionIndicator getConnection()

    - #### setConnection

          public void setConnection(ConnectionIndicator connection)

    - #### getSetting

          public SettingIndicator getSetting()

    - #### setSetting

          public void setSetting(SettingIndicator setting)

    - #### getError

          public ErrorIndicator getError()

    - #### setError

          public void setError(ErrorIndicator error)

    - #### getPowerOn

          public PowerOnIndicator getPowerOn()

    - #### setPowerOn

          public void setPowerOn(PowerOnIndicator powerOn)

    - #### getPowerOff

          public PowerOffIndicator getPowerOff()

    - #### setPowerOff

          public void setPowerOff(PowerOffIndicator powerOff)

    - #### encode

          public byte[] encode()

    - #### decode

          public static ScannerIndicator decode(byte[] data)
                                         throws ReaderException

      Throws:
        `ReaderException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`